Bug 214854 - New methods to check/modify floating and minimize status of a TopComponent
New methods to check/modify floating and minimize status of a TopComponent
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 108254
  Show dependency treegraph
 
Reported: 2012-06-27 09:31 UTC by Stanislav Aubrecht
Modified: 2012-07-06 03:15 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
proposed API changes (3.24 KB, patch)
2012-06-27 10:02 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2012-06-27 09:31:20 UTC
The floating and minimized state of a TopComponent is often being calculated from the name/type of the Mode it is docked to. I propose new API methods to simplify this.
Comment 1 Stanislav Aubrecht 2012-06-27 10:02:19 UTC
Created attachment 121436 [details]
proposed API changes
Comment 2 Stanislav Aubrecht 2012-07-04 09:42:16 UTC
core-main 2fc3890421ba
Comment 3 Quality Engineering 2012-07-06 03:15:15 UTC
Integrated into 'main-golden', will be available in build *201207060002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2fc3890421ba
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #214854 - New methods to check/modify floating and minimize status of a TopComponent


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo